//ROOT
$smooth_pink: hsl(0, 94%, 66%);
$classic_white: #fff;
$very_dark_blue: hsl(229, 31%, 21%);
$royal_blue: #5267DF;
$grayish_blue: hsl(229, 8%, 60%);
$soft_gray: #ddd;
$standard_size: 18px;
$standard_delay: 0.2s ease-in;

//FONTS
@font-face{
    font-family: "Rubik-Regular";
    src: url(../fonts/Rubik-Regular.ttf)
}

@font-face{
    font-family: "Rubik-Medium";
    src: url(../fonts/Rubik-Medium.ttf)
}

//GENERAL
body{
    color: $very_dark_blue;
    max-width: 100%;
    overflow-x: hidden;

    p{
        font-size: $standard_size;
    }
    h2{
        font-family: "Rubik-Medium";
    }
}

#center_p{
    margin-top: 100px;

    h2{
        margin-bottom: 20px;
    }
}

//NAVBAR
.first_navbar{
    font-family: "Rubik-Regular";
    background-color: $classic_white;

    .navbar-brand{
        animation: bounceInDown 1s ease-in;
    }

    ul li a{
        margin: auto 19px;
        color: $very_dark_blue!important;
        transition: $standard_delay;

        &:hover{
            color: $smooth_pink!important;
            transition: $standard_delay;
        }
    }
    .login a{
        margin: auto 40px auto 20px;
        border-radius: 5px;
        color: $classic_white!important;
        background-color: $smooth_pink;
        box-shadow: 0px 4px 2px 1px $soft_gray;
        border: 1px solid $smooth_pink;
        transition: $standard_delay;

        &:hover{
            background-color: $classic_white;
            color: $smooth_pink!important;
            border: 1px solid $smooth_pink;
        }
    }
    #social_logo_top{
        display: none;
    }
    #nav_button:focus{
        outline: 0px!important;
    }
}

//FIRST LAYOUT
.layout{
    margin-top: 250px;

    #first_text{
        padding: 40px 40px 40px 150px;

        h1{
            margin-bottom: 25px;
            padding-right: 20px;
            font-family: "Rubik-Medium";
        }
        p{
            margin-bottom: 30px;
        }
    }
    .layout .first_text{
        padding-left: 150px!important;
    }
    #chrome_shortcut, #firefox_shortcut, #info{
        font-family: "Rubik-Medium";
        padding: 5px 10px;
        font-size: 17px;
        box-shadow: 0px 2px 4px 2px $grayish_blue;
        transition: $standard_delay;
    }
    #chrome_shortcut, #info{
        background-color: $royal_blue;
        border: 2px solid $royal_blue;
        color: $classic_white;

        &:hover{
            background-color: $classic_white;
            color: $royal_blue;
        }
    }
    #firefox_shortcut{
        background-color: $soft_gray;
        border: 2px solid $soft_gray;

        &:hover{
            border: 2px solid $very_dark_blue;
            background-color: $classic_white;
            color: $very_dark_blue;
        }
    }
    #first_illustration{
        animation: fadeInBottomRight 0.6s ease-in-out;
    }
    #illustration{
        z-index: 1;

        img{
            margin-top: -40px;
        }
    }
    #background{
        right: 0;
        height: 20vmax;
        border-bottom-left-radius: 30%;
        background-color: $royal_blue;
    }
}

//SLIDE
#second_illustration{
    #illustration {
        padding-left: 8vw;
    }
    #background{
        left: 0;
        bottom: -50px;
        border-bottom-left-radius: 0;
        border-top-right-radius: 30%;
        border-bottom-right-radius: 30%;
    }
}

//FEATURES
#features{
    margin-top: 100px;
}

#features_links{
    margin-bottom: -150px;

    li, a{
        font-family: "Rubik-Medium";
        color: black;
        transition: $standard_delay;
    }
    li{
        border-bottom: 1px solid $soft_gray;
        padding-bottom: 15px;

        &:hover, &:active{
            border-bottom: 5px solid $smooth_pink!important;
            transition: $standard_delay;
        }
    }
    a:hover{
        color: $smooth_pink!important;
        transition: $standard_delay;
        text-decoration: none;
    }
    .nav-tabs{
        border: none;
    }
    #second_illustration{
        height: 100%;
        margin-top: 20px;
    }
}

.tab-content{
    padding-bottom: 100px;
}

//EXTENSIONS
.extensions{
    .card{
        margin-bottom: auto!important;
        border-radius: 10px!important;
        font-family: "Rubik-Regular";
        -webkit-box-shadow: 0px 13px 16px -7px $grayish_blue;
        -moz-box-shadow: 0px 13px 16px -7px $grayish_blue;
        box-shadow: 0px 13px 16px -7px $grayish_blue;
    
        .card-img-top{
            max-width: 33%;
            height: auto;
            margin: 100px auto 20px auto;
        }
        .card-title{
            font-family: "Rubik-Medium";
        }
        .card-text{
            margin-bottom: 10px!important;
        }
        .card-footer{
            border-radius: 10px!important;
            border: 0px!important;
            background-color: $classic_white!important;
            height: auto;
    
            button{
                margin: 10px;
                font-size: $standard_size;
                border: 1px solid $royal_blue;
                background-color: $royal_blue;
                color: $classic_white;
                transition: $standard_delay;

                &:hover{
                    background-color: $classic_white!important;
                    color: $royal_blue!important;
                    transition: $standard_delay;
                }
            }
        }
    }
    .card_2{
        margin-top: 50px;
    }
    
    .card_3{
        margin-top: 100px;
    }
}

#info:hover{
    background-color: $classic_white;
    color: $royal_blue;
}

//FAQ
.faq{
    border-left-width: 0px!important;
    border-right-width: 0px!important;
    border-bottom-width: 0px!important;
    box-shadow: none;

    button{
        color: $very_dark_blue;
        transition: $standard_delay;

        &:not(.collapsed), &:not(.collapsing){
            text-decoration: none;
            border: none;
        }
        &:focus, &:active{
            box-shadow: none!important;
        }
        img{
            transition: 0.4s;
        }
        &:not(.collapsed){
            svg{
                transform: rotate(180deg);
                filter: hue-rotate(120deg);
                transition: $standard_delay;
            }
        }
        &:hover{
            text-decoration: none!important;
            color: $smooth_pink;
        }
    }
    svg{
        transition: $standard_delay;
    }
}


#heading_one, #heading_two, #heading_three, #heading_four{
    background-color: $classic_white;
    border: none;
}

.arrow{
    position: absolute;
    right: 0;
    margin-right: 12px;
}

#info{
    background-color: $royal_blue;
    border: 2px solid $royal_blue;
    color: $classic_white;
}

//CONTACT
.contact{
    margin-top: 100px;
    background-color: $royal_blue;
    color: $classic_white;
}

.joined{
    letter-spacing: 0.2em;
}

.up_to_date{
    font-family: "Rubik-Medium";
}

//FORM
.form-inline{
    display: flex;
    flex-flow: row wrap;
    align-items: center;

    input{
        vertical-align: middle;
        margin: 5px 10px 5px 0;
        padding: 10px;
        background-color: $classic_white;
        border: 2px solid $classic_white;
    }
    button{
        padding: 10px 10px;
        font-family: "Rubik-Medium";
        background-color: $smooth_pink;
        border: 2px solid $smooth_pink;
        color: $classic_white;
        transition: $standard_delay;

        &:hover{
            color: $smooth_pink;
            background-color: $classic_white;
            transition: $standard_delay;
        }
        &:focus{
            border: 2px solid $smooth_pink;
        }
    }
}

//SOCIAL FOOTER
.footer{
    font-family: "Rubik-Regular";

    nav{
        background-color: $very_dark_blue;
    }
    ul li a{
        color: $classic_white;
    }
    #navbar_nav_footer{
        padding-left: 0px!important;
    }
    #navbar_nav_footer ul li{
        margin: auto 20px!important;
    }
    #social_logo:hover{
        fill: $smooth_pink;
        transition: $standard_delay
    }
}

/*MEDIA*/

//NAVBAR
@media(min-width: 992px){
    .first_navbar, .second_navbar{
        padding: 50px 150px!important;
    }
}

@media(max-width: 992px){
    .first_navbar, .second_navbar{
        padding: 15px 30px!important;

        ul li a{
            margin: auto 8px;
            text-align: center;
        }
    }
    .login{
        margin: auto 20px auto 10px;
    }
}

@media(max-width: 768px){
    .login{
        margin: 0;
    }
    #login{
        margin: 20px auto!important;
        box-shadow: none;
        background-color: rgba(37, 43, 70, 0.9);
        border: 1px solid #fff;

        &:hover{
            border: 1px solid $very_dark_blue;
            background-color: rgb(37, 43, 70)!important;
            color: #fff!important;
        }
    }
    .first_navbar ul{
        padding-top: 50px;
        height: 100vh;
    }
    #navbar_nav .nav-item{
        border-top: 1px solid $soft_gray;
        padding-top: 12px!important;
        padding-bottom: 12px!important;
    }
    #main_nav_links{
        color: $classic_white!important;

        &:hover{
            color: $smooth_pink!important;
        }
    }
    #social_logo_top{
        display: block!important;
        border-top: 0px!important;
        bottom: 80px;
    }

}

//FIRST LAYOUT
@media(max-width: 992px){
    .layout{
        margin-top: 150px;
    }
    #first_text{
        padding-left: 30px!important;
        padding-right: 30px!important;

        h1{
            padding-right: 0;
        }
    }
}

@media(max-width: 768px){
    #first_text{
        margin-top: 50px;
        text-align: center;
        padding-left: 30px;

        .container{
            padding: 0;
        }
    }
    #first_illustration{
        margin-top: 30px;
    }
    #illustration{
        margin-top: -30px;
    }
    #background{
        width: 60vw;
        height: 80%!important;
    }
}

//FEATURES
@media(max-width: 992px){
    #center_p p{
    margin: auto 22%;
    }
}

@media(max-width: 768px){
    #center_p p{
    margin: auto 30px;
    }
    #features_links{
        margin-bottom: -100px;
    }
    #features_links li{
        padding-top: 18px;

        &:first-of-type{
            border-top: 1px solid var(--soft-gray);
        }
    }
}

@media(max-width: 1029px){
    #second_illustration #illustration{
        margin-top: 100px!important;
    }
}

//EXTENSIONS
@media(max-width: 575px){
    .card_2, .card_3{
        margin-top: 50px!important;
    }
}

//FAQ
@media(max-width: 768px){
    .faq{
        margin: auto 10px;
    }
}

//FORM
@media (max-width: 768px) {
    .form-inline {
      flex-direction: column;
      align-items: stretch;

      input, button{
        margin: 10px 0;
        width: 100%;
      }
      input{
        margin-right: 0!important;
      }
      button{
        margin-left: 0!important;
      }
  }
}

//FOOTER
.second_navbar ul li a:hover{
    color: $smooth_pink!important;
    transition: $standard_delay;
}

@media(max-width: 992px){
    .footer .navbar-brand{
        margin: 0 auto 15px auto;
    }
    .footer .navbar-collapse{
        padding-left: 0!important;
    }
    #socials{
        margin: 30px auto;

        & ul{
            display: flex;
            flex-direction: row;
        }
        & li{
            margin-right: 5px!important;
            margin-left: 5px!important;
        }
    }
}

@media(max-width: 992px){
    #socials ul{
        margin: 0 auto!important;
    }
}